Subject: Re: [PATCH v8 11/12] docs: move cruft pack docs to gitformat-pack

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Aug 2022 14:34:58 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Integrate the cruft packs documentation initially added in
> 3d89a8c1180 (Documentation/technical: add cruft-packs.txt, 2022-05-20)
> to the newly created "gitformat-pack" documentation.
>
> Like the "bitmap-format" added before it in
> 0d4455a3ab0 (documentation: add documentation for the bitmap format,
> 2013-11-14) the "cruft-packs" were documented in their own file.
>
> As the diff move detection will show there is no change to
> "Documentation/technical/cruft-packs.txt" here except to move it, and
> to "indent" the existing sections by adding an extra "=" to them.
>
> We could similarly convert the "bitmap-format.txt", but let's leave it
> for now due to a conflict with the in-flight ac/bitmap-lookup-table
> series.
>
> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
> ---

OK, so this round we roll the "cruft packs" into the main "pack file
format" documentation, because the former is merely a minor deviation
at file format level (i.e. comes with an extra .mtimes file) and the
philosophy behind how they are meant to be used is what makes them,
that is mostly the same as the normal packs, different.

That makes sense to me, and I agree that in the longer term we may
want to treat the pack bitmap format documentation the same way.